scala.tools.nsc.ast.Trees

# SelectFromArray

###
Related Doc: package Trees

#### case class SelectFromArray(qualifier: Global.Tree, name: Global.Name, erasure: Global.Type) extends Global.SymTree with Global.RefTree with Global.TermTree with Product with Serializable

Array selection `<qualifier> . <name>` only used during erasure

Source
  Trees.scala

Linear Supertypes
Serializable, java.io.Serializable, Global.TermTree, Global.TermTreeApi, Global.RefTree, Global.RefTreeApi, Global.NameTree, Global.NameTreeApi, Global.SymTree, Global.SymTreeApi, Global.Tree, Global.Attachable, Global.TreeContextApiImpl, Global.TreeApi, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SelectFromArray
2. Serializable
3. Serializable
4. TermTree
5. TermTreeApi
6. RefTree
7. RefTreeApi
8. NameTree
9. NameTreeApi
10. SymTree
11. SymTreeApi
12. Tree
13. Attachable
14. TreeContextApiImpl
15. TreeApi
16. Product
17. Equals
18. AnyRef
19. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new SelectFromArray(qualifier: Global.Tree, name: Global.Name, erasure: Global.Type)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Test two objects for inequality.

   Test two objects for inequality.

   returns

     `true` if !(this == that), false otherwise.

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Equivalent to `x.hashCode` except for boxed numeric types and `null`.

   Equivalent to `x.hashCode` except for boxed numeric types and `null`. For numerics, it returns a hash value which is consistent with value equality: if two value type instances compare as true, then ## will produce the same hash value for each of them. For `null` returns a hashcode where `null.hashCode` throws a `NullPointerException`.

   returns

     a hash value consistent with ==

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Global.SelectFromArray to any2stringadd[Global.SelectFromArray] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Global.SelectFromArray, B)

   Implicit information
     This member is added by an implicit conversion from Global.SelectFromArray to ArrowAssoc[Global.SelectFromArray] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   The expression `x == that` is equivalent to `if (x eq null) that eq null else x.equals(that)`.

   arg0

     the object to compare against this object for equality.

   returns

     `true` if the receiver object is equivalent to the argument; `false` otherwise.

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Cast the receiver object to be of type `T0`.

   Cast the receiver object to be of type `T0`.

   Note that the success of a cast at runtime is modulo Scala's erasure semantics. Therefore the expression `1.asInstanceOf[String]` will throw a `ClassCastException` at runtime, while the expression `List(1).asInstanceOf[List[String]]` will not. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the requested type.

   returns

     the receiver object.

   Definition Classes
     Any
   Exceptions thrown

     `ClassCastException` if the receiver object is not an instance of the erasure of type `T0`.

7. #### def attachments: Attachments { type Pos = Trees.this.Position }

   Definition Classes
     Attachable

8. #### def canHaveAttrs: Boolean

   Definition Classes
     Tree → TreeApi

9. #### def changeOwner(pairs: (Global.Symbol, Global.Symbol)*): Global.Tree

   Definition Classes
     TreeContextApiImpl

10. #### def children: List[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

11. #### def clearType(): SelectFromArray.this.type

    Definition Classes
      Tree

12. #### def clone(): AnyRef

    Create a copy of the receiver object.

    Create a copy of the receiver object.

    The default implementation of the `clone` method is platform dependent.

    returns

      a copy of the receiver object.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
    Note

      not specified by SLS as a member of AnyRef

13. #### def collect[T](pf: PartialFunction[Global.Tree, T]): List[T]

    Definition Classes
      TreeContextApiImpl → TreeApi

14. #### def correspondsStructure(that: Global.Tree)(f: (Global.Tree, Global.Tree) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl

15. #### def defineType(tp: Global.Type): SelectFromArray.this.type

    Definition Classes
      Tree

16. #### def duplicate: SelectFromArray.this.type

    Definition Classes
      Tree → TreeApi

17. #### def ensuring(cond: (Global.SelectFromArray) ⇒ Boolean, msg: ⇒ Any): Global.SelectFromArray

    Implicit information
      This member is added by an implicit conversion from Global.SelectFromArray to Ensuring[Global.SelectFromArray] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: (Global.SelectFromArray) ⇒ Boolean): Global.SelectFromArray

    Implicit information
      This member is added by an implicit conversion from Global.SelectFromArray to Ensuring[Global.SelectFromArray] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): Global.SelectFromArray

    Implicit information
      This member is added by an implicit conversion from Global.SelectFromArray to Ensuring[Global.SelectFromArray] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): Global.SelectFromArray

    Implicit information
      This member is added by an implicit conversion from Global.SelectFromArray to Ensuring[Global.SelectFromArray] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    Tests whether the argument (`arg0`) is a reference to the receiver object (`this`).

    The `eq` method implements an equivalence relation on non-null instances of `AnyRef`, and has three additional properties:

    - It is consistent: for any non-null instances `x` and `y` of type `AnyRef`, multiple invocations of `x.eq(y)` consistently returns `true` or consistently returns `false`.
    - For any non-null instance `x` of type `AnyRef`, `x.eq(null)` and `null.eq(x)` returns `false`.
    - `null.eq(null)` returns `true`.

    When overriding the `equals` or `hashCode` methods, it is important to ensure that their behavior is consistent with reference equality. Therefore, if two objects are references to each other (`o1 eq o2`), they should be equal to each other (`o1 == o2`) and they should hash to the same value (`o1.hashCode == o2.hashCode`).

    returns

      `true` if the argument is a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

22. #### def equals(that: Any): Boolean

    The equality method for reference types.

    The equality method for reference types. Default implementation delegates to `eq`.

    See also `equals` in scala.Any.

    that

      the object to compare against this object for equality.

    returns

      `true` if the receiver object is equivalent to the argument; `false` otherwise.

    Definition Classes
      Tree → Equals → AnyRef → Any

23. #### def equalsStructure(that: Global.Tree): Boolean

    Definition Classes
      TreeContextApiImpl → TreeApi

24. #### val erasure: Global.Type

25. #### def exists(p: (Global.Tree) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl → TreeApi

26. #### def filter(f: (Global.Tree) ⇒ Boolean): List[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

27. #### def finalize(): Unit

    Called by the garbage collector on the receiver object when there are no more references to the object.

    Called by the garbage collector on the receiver object when there are no more references to the object.

    The details of when and if the `finalize` method is invoked, as well as the interaction between `finalize` and non-local returns and exceptions, are all platform dependent.

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
    Note

      not specified by SLS as a member of AnyRef

28. #### def find(p: (Global.Tree) ⇒ Boolean): Option[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

29. #### def forAll(p: (Global.Tree) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl → TreeApi

30. #### def foreach(f: (Global.Tree) ⇒ Unit): Unit

    Definition Classes
      TreeContextApiImpl → TreeApi

31. #### def foreachPartial(pf: PartialFunction[Global.Tree, Global.Tree]): Unit

    Definition Classes
      TreeContextApiImpl

32. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Global.SelectFromArray to StringFormat[Global.SelectFromArray] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

33. #### def freeTerms: List[Global.FreeTermSymbol]

    Definition Classes
      TreeContextApiImpl

34. #### def freeTypes: List[Global.FreeTypeSymbol]

    Definition Classes
      TreeContextApiImpl

35. #### final def getClass(): Class[_]

    A representation that corresponds to the dynamic class of the receiver object.

    A representation that corresponds to the dynamic class of the receiver object.

    The nature of the representation is platform dependent.

    returns

      a representation that corresponds to the dynamic class of the receiver object.

    Definition Classes
      AnyRef → Any
    Note

      not specified by SLS as a member of AnyRef

36. #### def getterName: Global.TermName

    Definition Classes
      NameTree

37. #### def hasAttachment[T](implicit arg0: ClassTag[T]): Boolean

    Definition Classes
      Attachable

38. #### def hasExistingSymbol: Boolean

    Definition Classes
      TreeContextApiImpl

39. #### def hasSymbolField: Boolean

    Definition Classes
      SymTree → Tree

40. #### def hasSymbolWhich(f: (Global.Symbol) ⇒ Boolean): Boolean

    Definition Classes
      TreeContextApiImpl

41. #### def hashCode(): Int

    The hashCode method for reference types.

    The hashCode method for reference types. See hashCode in scala.Any.

    returns

      the hash code value for this object.

    Definition Classes
      Tree → AnyRef → Any

42. #### val id: Int

    Definition Classes
      Tree

43. #### def isDef: Boolean

    Definition Classes
      Tree → TreeApi

44. #### def isEmpty: Boolean

    Definition Classes
      Tree → TreeApi

45. #### def isErroneous: Boolean

    Definition Classes
      TreeContextApiImpl

46. #### def isErrorTyped: Boolean

    Definition Classes
      TreeContextApiImpl

47. #### final def isInstanceOf[T0]: Boolean

    Test whether the dynamic type of the receiver object is `T0`.

    Test whether the dynamic type of the receiver object is `T0`.

    Note that the result of the test is modulo Scala's erasure semantics. Therefore the expression `1.isInstanceOf[String]` will return `false`, while the expression `List(1).isInstanceOf[List[String]]` will return `true`. In the latter example, because the type argument is erased as part of compilation it is not possible to check whether the contents of the list are of the specified type.

    returns

      `true` if the receiver object is an instance of erasure of type `T0`; `false` otherwise.

    Definition Classes
      Any

48. #### def isTerm: Boolean

    Definition Classes
      Tree → TreeApi

49. #### def isType: Boolean

    Definition Classes
      Tree → TreeApi

50. #### def isTyped: Boolean

    Definition Classes
      TreeContextApiImpl

51. #### def localName: Global.TermName

    Definition Classes
      NameTree

52. #### def modifyType(f: (Global.Type) ⇒ Global.Type): Global.Tree

    Definition Classes
      TreeContextApiImpl

53. #### val name: Global.Name

    Definition Classes
      SelectFromArray → RefTree → RefTreeApi → NameTree → NameTreeApi

54. #### final def ne(arg0: AnyRef): Boolean

    Equivalent to `!(this eq that)`.

    Equivalent to `!(this eq that)`.

    returns

      `true` if the argument is not a reference to the receiver object; `false` otherwise.

    Definition Classes
      AnyRef

55. #### def nonEmpty: Boolean

    Definition Classes
      Tree → TreeApi

56. #### final def notify(): Unit

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Wakes up a single thread that is waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

57. #### final def notifyAll(): Unit

    Wakes up all threads that are waiting on the receiver object's monitor.

    Wakes up all threads that are waiting on the receiver object's monitor.

    Definition Classes
      AnyRef
    Note

      not specified by SLS as a member of AnyRef

58. #### def orElse(alt: ⇒ Global.Tree): Global.Tree

    Definition Classes
      TreeContextApiImpl → TreeApi

59. #### final def pos: Global.Position

    Definition Classes
      Tree → Attachable → TreeApi

60. #### def pos_=(pos: Global.Position): Unit

    Definition Classes
      Attachable

61. #### val qualifier: Global.Tree

    Definition Classes
      SelectFromArray → RefTree → RefTreeApi

62. #### var rawatt: Attachments { type Pos = Trees.this.Position }

    Attributes
      protected
    Definition Classes
      Attachable

63. #### def removeAttachment[T](implicit arg0: ClassTag[T]): SelectFromArray.this.type

    Definition Classes
      Attachable

64. #### def setAttachments(attachments: Attachments { type Pos = Trees.this.Position }): SelectFromArray.this.type

    Definition Classes
      Attachable

65. #### def setPos(newpos: Global.Position): SelectFromArray.this.type

    Definition Classes
      Attachable

66. #### def setSymbol(sym: Global.Symbol): SelectFromArray.this.type

    Definition Classes
      Tree

67. #### def setType(tp: Global.Type): SelectFromArray.this.type

    Definition Classes
      Tree

68. #### def setterName: Global.TermName

    Definition Classes
      NameTree

69. #### def shallowDuplicate: Global.Tree

    Definition Classes
      TreeContextApiImpl

70. #### def shortClass: String

    Definition Classes
      TreeContextApiImpl

71. #### def substituteSymbols(from: List[Global.Symbol], to: List[Global.Symbol]): Global.Tree

    Definition Classes
      TreeContextApiImpl

72. #### def substituteThis(clazz: Global.Symbol, to: Global.Tree): Global.Tree

    Definition Classes
      TreeContextApiImpl

73. #### def substituteTypes(from: List[Global.Symbol], to: List[Global.Type]): Global.Tree

    Definition Classes
      TreeContextApiImpl

74. #### def summaryString: String

    Definition Classes
      TreeContextApiImpl

75. #### var symbol: Global.Symbol

    Definition Classes
      SymTree → SymTreeApi → Tree → TreeApi

76. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

77. #### def toString(): String

    Creates a String representation of this object.

    Creates a String representation of this object. The default representation is platform dependent. On the java platform it is the concatenation of the class name, "@", and the object's hashcode in hexadecimal.

    returns

      a String representation of the object.

    Definition Classes
      TreeApi → AnyRef → Any

78. #### final def tpe: Global.Type

    Definition Classes
      Tree → TreeApi

79. #### def updateAttachment[T](attachment: T)(implicit arg0: ClassTag[T]): SelectFromArray.this.type

    Definition Classes
      Attachable

80. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

81. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

82. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

83. #### def withFilter(f: (Global.Tree) ⇒ Boolean): List[Global.Tree]

    Definition Classes
      TreeContextApiImpl → TreeApi

84. #### def →[B](y: B): (Global.SelectFromArray, B)

    Implicit information
      This member is added by an implicit conversion from Global.SelectFromArray to ArrowAssoc[Global.SelectFromArray] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def hasSymbol: Boolean

   Definition Classes
     Tree
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use hasSymbolField

2. #### def tpe_=(t: Global.Type): Unit

   Definition Classes
     Tree
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use setType

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Global.TermTree

### Inherited from Global.TermTreeApi

### Inherited from Global.RefTree

### Inherited from Global.RefTreeApi

### Inherited from Global.NameTree

### Inherited from Global.NameTreeApi

### Inherited from Global.SymTree

### Inherited from Global.SymTreeApi

### Inherited from Global.Tree

### Inherited from Global.Attachable

### Inherited from Global.TreeContextApiImpl

### Inherited from Global.TreeApi

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.SelectFromArray to any2stringadd[Global.SelectFromArray]

### Inherited by implicit conversion StringFormat from Global.SelectFromArray to StringFormat[Global.SelectFromArray]

### Inherited by implicit conversion Ensuring from Global.SelectFromArray to Ensuring[Global.SelectFromArray]

### Inherited by implicit conversion ArrowAssoc from Global.SelectFromArray to ArrowAssoc[Global.SelectFromArray]

### Ungrouped